



<div class="styleguide" id="r{{section.reference}}">
    <h3 class="styleguide__header">
        <span class="styleguide__reference">{{section.reference}}</span>
        <span class="styleguide__title">{{section.title}}</span>
        <span class="styleguide__filename">{{section.file}} - <a href="{{kss.style_path}}{{section.file}}">Voir</a></span>
    </h3>

    <div class="styleguide__description">
        <h2>{{ section.title }}</h2>
        
        {{ section.description }}
        
        {% if section.modifiers |length > 0 %}
            <ul class="styleguide__modifiers">
   
            {% for modifier in section.modifiers %}
                <li>
                    <span class="styleguide__modifier-name {% if modifier.isExtender %}styleguide__modifier-name--extender{% endif %}">
                        {{modifier.name}}
                        {% if modifier.isExtender %}
                        <span class="styleguide__modifier-extender">
                         (@extend: {{ modifier.extendedClass}})
                        </span>
                        {% endif%}
                    </span>

                    <span class="styleguide__modifier-description">
                        {% if modifier.description %}
                            {{ modifier.description }}
                        {% endif %}
                    </span>
                </li>
            {% endfor %}

            </ul>
        {% endif %}
        
        {% if section.parameters | length > 0 %}
        <table class="styleguide__parameters">
                <thead>
                    <tr>
                        <th>Name</th>
                        <th>Description</th>
                    </tr>
                </thead>
                <tbody>
                {% for parameter in section.parameters %}
                <tr>
                    <td class="styleguide__parameter-name">
                    {{ parameter.name }}
                    </td>
                    <td class="styleguide__parameter-description">
                    {{ parameter.description}}
                    </td>
                </tr>
                {% endfor %}
                </tbody>
        </table>  
        {% endif %}
        
        
        {% if section.compatibility %}
        <p class="docblock__compatibility">
            <span class="docblock__compatibility--title">Compatibility:</span>
            <span class="docblock__compatibility--content">
            {{ section.compatibility }}
            </span>
        </p>
        {% endif %}
        
        {% if section.deprecated %}
            {{ section.deprecated }}
        {% endif %}
        
        {% if section.experimental %}
            {{ section.experimental }}
        {% endif %}
            
    </div>

    
    {% if section.markup %}
	<iframe class="preview"
           id="frame-{{ section.reference}}"
           src="/frontdoc/preview/{{section.reference}}"
           onLoad="autoResize('frame-{{sectionreference}}');"></iframe>
    {% endif %}
    
    {% if section.markupNormal %}
	<div class="styleguide__html">
        <h3>Html</h3>
        <pre class="styleguide__code">
            <code>{{ section.markupNormal|e }}</code>
        </pre>
    </div>
    {% endif %}

    {% if section.javascriptBlock %}
	<div class="styleguide__html">
        <h3>Javascript</h3>
        <pre class="styleguide__code">
            <code>{{ section.javascriptBlock }}</code>
        </pre>
    </div>
    {% endif %}
</div>
